Loading...
Searching...
No Matches
OgreResourceGroupManager.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreSingleton.h"`
`#include "OgreDataStream.h"`
`#include "OgreArchive.h"`
`#include "OgreIteratorWrapper.h"`
`#include "OgreCommon.h"`
`#include "Threading/OgreThreadHeaders.h"`
`#include <ctime>`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::ResourceGroupListener
| This class defines an interface which is called back during resource group loading to indicate the progress of the load. More...
class | Ogre::ResourceGroupManager
| This singleton class manages the list of resource groups, and notifying the various resource managers of their obligations to load / unload resources in a group. More...
struct | Ogre::ResourceGroupManager::ResourceDeclaration
| Nested struct defining a resource declaration. More...
struct | Ogre::ResourceGroupManager::ResourceLocation
| Resource location entry. More...
class | Ogre::ResourceLoadingListener
| This class allows users to override resource loading behavior. More...

## Namespaces

namespace | Ogre

## Macros

#define | OGRE_RESOURCE_GROUP_INIT = RGN_AUTODETECT

## Variables

_OgreExport const char *const | Ogre::RGN_AUTODETECT
| Special resource group name which causes resource group to be automatically determined based on searching for the resource in all groups.
_OgreExport const char *const | Ogre::RGN_DEFAULT
| Default resource group name.
_OgreExport const char *const | Ogre::RGN_INTERNAL
| Internal resource group name (should be used by OGRE internal only).

## Macro Definition Documentation

## OGRE_RESOURCE_GROUP_INIT

#define OGRE_RESOURCE_GROUP_INIT = RGN_AUTODETECT

Referenced by Ogre::ImGuiOverlay::addFont(), Ogre::FontManager::getByName(), Ogre::GpuProgramManager::getByName(), Ogre::MeshManager::getByName(), Ogre::SkeletonManager::getByName(), Ogre::TextureManager::getByName(), Ogre::ResourceManager::getResourceByName(), Ogre::RTShader::ShaderGenerator::invalidateMaterial(), Ogre::RTShader::ShaderGenerator::invalidateMaterialIlluminationPasses(), Ogre::ResourceManager::remove(), Ogre::RTShader::ShaderGenerator::removeAllShaderBasedTechniques(), Ogre::ResourceManager::resourceExists(), Ogre::SceneManager::setShadowTextureCompositor(), Ogre::ResourceManager::unload(), Ogre::RTShader::ShaderGenerator::validateMaterial(), and Ogre::RTShader::ShaderGenerator::validateMaterialIlluminationPasses().